Bug 232188 - New port: korean/sourcehanserif-otf Korean font by Adobe designed for user interfaces
Summary: New port: korean/sourcehanserif-otf Korean font by Adobe designed for user in...
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kai Knoblich
URL: https://reviews.freebsd.org/D19381
Keywords:
Depends on:
Blocks:
 
Reported: 2018-10-11 23:14 UTC by Hyun Hwang
Modified: 2019-02-28 18:33 UTC (History)
1 user (show)

See Also:


Attachments
korean_sourcehanserif-otf.shar (4.32 KB, text/plain)
2018-10-11 23:14 UTC, Hyun Hwang
no flags Details
korean_sourcehanserif-otf.shar (4.34 KB, text/plain)
2018-10-19 22:25 UTC, Hyun Hwang
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Hyun Hwang 2018-10-11 23:14:46 UTC
Created attachment 198046 [details]
korean_sourcehanserif-otf.shar

First of the Source Han Serif family. Passed `portlint -A` and other tests mentioned in the Porter's Handbook.
Comment 1 Hyun Hwang 2018-10-19 22:25:51 UTC
Created attachment 198388 [details]
korean_sourcehanserif-otf.shar

Address minor issues found following the Chinese variants.
Comment 2 commit-hook freebsd_committer 2019-02-28 17:13:05 UTC
A commit references this bug:

Author: kai
Date: Thu Feb 28 17:12:49 UTC 2019
New revision: 494165
URL: https://svnweb.freebsd.org/changeset/ports/494165

Log:
  New port: korean/sourcehanserif-otf: Korean font by Adobe designed for user interfaces

  Source Han Serif: The second Pan-CJK typeface family from Adobe

  This is Source Han Serif K/KR, which supports all four variants in this family
  but prioritizes Korean Hanja over other three.

  "Source Han Serif supports four different East Asian languages---Simplified
  Chinese, Traditional Chinese, Japanese, and Korean---and the 65,535 glyphs in
  each of its seven weights are designed to work together with a consistent design
  that emphasizes shared elements between the languages while honoring the
  diversity of each. Also included is a rich set of Western glyphs supporting the
  Latin, Greek, and Cyrillic scripts, which were derived from Source Serif."
  --- The Typekit, Adobe

  WWW: https://github.com/adobe-fonts/source-han-serif

  PR:		232188
  Submitted by:	Hyun Hwang <hyun@caffeinated.codes>
  Approved by:	miwi (mentor)
  Differential Revision:	https://reviews.freebsd.org/D19381

Changes:
  head/korean/Makefile
  head/korean/sourcehanserif-otf/
  head/korean/sourcehanserif-otf/Makefile
  head/korean/sourcehanserif-otf/distinfo
  head/korean/sourcehanserif-otf/files/
  head/korean/sourcehanserif-otf/files/pkg-message.in
  head/korean/sourcehanserif-otf/pkg-descr
  head/korean/sourcehanserif-otf/pkg-plist
Comment 3 Kai Knoblich freebsd_committer 2019-02-28 18:33:17 UTC
Committed, thank you for your contribution! All four of the Source-Han-Serif are now available in the ports tree.

I removed two variables (FONTTYPE and FONTFORMAT), that were not used in the ports framework and did a minor fix to simplify the handling of the options though it was a nice hackery in the original patch. ;-)

Beside that the patches were well prepared, keep it up!